createMessage
Creates a new Message. When creating a new Message, the required tags must be provided. See the specific integration for more details.
POST
/v1/chat/messagesAuthorization
AuthorizationBearerBearer authentication header of the form Bearer <token>, where <token> is your auth token.
Header parameters
x-bp-authenticated-principalstringAuthenticated principal. Injected by the authentication middleware.
x-bot-idstringBot id
x-integration-id?stringIntegration id
x-integration-alias?stringIntegration alias
Request body
Message data
payloadobjectPayload is the content type of the message. Accepted payload options: Text, Image, Choice, Dropdown, Card, Carousel, File, Audio, Video, Location
userIdstringID of the User(min length: 28, max length: 36)
conversationIdstringID of the Conversation(min length: 28, max length: 36)
typestringType of the Message represents the resource type that the message is related to(max length: 200)
tagsobjectSet of Tags that you can attach to a Message. The set of Tags available on a Message is restricted by the list of Tags defined previously by the Bot. Individual keys can be unset by posting an empty value to them.
schedule?objectSchedule the Message to be sent at a specific time. Either dateTime or delay must be provided.
origin?enum<string>Available options:
"synthetic"Response
Returns a Message object if creation succeeds.
messageobjectThe Message object represents a message in a Conversation for a specific User.